filetools.hh File Reference
`#include <string>`
`#include <vector>`
`#include <mia/core/defines.hh>`
Include dependency graph for filetools.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::filesystem

## Functions

EXPORT_CORE std::string | create_filename (const char *cformat, size_t num)
EXPORT_CORE size_t | fname_to_cformat (const char *fname, std::string &base, bool wildcard)
EXPORT_CORE std::vector< std::string > | get_consecutive_numbered_files (std::string const &in_filename)
EXPORT_CORE size_t | get_filename_number_pattern (std::string const &infilename, std::string &base, std::string &suffix)
EXPORT_CORE size_t | get_filename_number_pattern_width (std::string const &in_filename)
EXPORT_CORE const std::string | get_filename_pattern_and_range (std::string const &in_filename, size_t &min, size_t &max, size_t &format_width)
EXPORT_CORE void | split_filename_number_pattern (std::string const &in_filename, std::string &base, std::string &suffix, std::string &number)